import request from '@/utils/request'

// 查询单位管理列表
export function listUnit(query) {
	return request({
		url: '/basic/unit/list',
		method: 'get',
		params: query
	})
}

// 查询单位管理详细
export function getUnit(id) {
	return request({
		url: '/basic/unit/' + id,
		method: 'get'
	})
}

// 新增单位管理
export function addUnit(data) {
	return request({
		url: '/basic/unit',
		method: 'post',
		data: data
	})
}

// 修改单位管理
export function updateUnit(data) {
	return request({
		url: '/basic/unit',
		method: 'put',
		data: data
	})
}

// 删除单位管理
export function delUnit(id) {
	return request({
		url: '/basic/unit/' + id,
		method: 'delete'
	})
}

// 查询可转换计量单位列表
export function listUnitConvertible(query) {
	return request({
		url: '/basic/unit/listUnitConvertible',
		method: 'get',
		params: query
	})
}

// 单位数量转换
export function convertBySecondUnitOrNum(query) {
	return request({
		url: '/basic/unit/convertBySecondUnitOrNum',
		method: 'get',
		params: query
	})
}